> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/products/getPermissions#auth).

<br />

**Deprecated:** New integrations cannot use this method and can refer to our [new
recommendations](https://developers.google.com/android/work/deprecations#recommended_alternative_4).  
**This method will no longer be accessible by
anyone after September 30, 2025.** Retrieves the Android app permissions required by this app.

<br />

## Request

### HTTP request

```
GET https://www.googleapis.com/androidenterprise/v1/enterprises/enterpriseId/products/productId/permissions
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `enterpriseId` | `string` | The ID of the enterprise. |
| `productId` | `string` | The ID of the product. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "kind": "androidenterprise#productPermissions",
  "productId": string,
  "permission": [
    {
      "permissionId": string,
      "state": string
    }
  ]
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `productId` | `string` | The ID of the app that the permissions relate to, e.g. "app:com.google.android.gm". |   |
| `permission[]` | `list` | The permissions required by the app. |   |
| `permission[].permissionId` | `string` | An opaque string uniquely identifying the permission. |   |
| `permission[].state` | `string` | Whether the permission has been accepted or not. <br /> Acceptable values are: - "`accepted`" - "`required`" |   |
| `kind` | `string` |   |   |